@component('panel.layouts.component', ['title' => 'ثبت محصول جدید'])

    @slot('style')
        <style>
            .card-header {
                text-align: center !important;
            }

            .form-control {

                background-color: hsl(315, 22%, 86%);
            }

            .required {
                color: red;
            }

            .py-5 {
                padding-top: 0 !important;
            }

            .select2 {
                width: 100% !important;
            }

            .photo {
                border: 0px;
                background-color: #fff;
            }

            .file_img {
                width: 100px;
                height: 150px;
            }

            .
        </style>
    @endslot
    @slot('subject')
        <h1><i class="fa fa-users"></i> ثبت محصول جدید </h1>
        <p>ثبت محصول جدید در فروشگاه.</p>
    @endslot
    @slot('breadcrumb')
        <li class="breadcrumb-item">محصولات</li>
    @endslot

    @slot('content')
        <div class="auth-background h-auto py-5">
            <div class="container py-5">
                <div class="row align-items-center ">
                    <div class="col-lg-12 col-md-12 mx-auto">
                        <div class="card">
                            <div class="card-header"><strong>{{ __('ثبت محصول جدید') }}</strong></div>
                            @component('product::components.message')
                            @endcomponent
                            <div class="card-body mx-lg-5 px-lg-3">
                                <form method="POST" action="{{ route('products.store') }}"
                                      enctype="multipart/form-data">
                                    @csrf

                                    <div class="form-group">
                                        <label for="title">{{ __('product.title') }}</label><i class="required">&nbsp;
                                            *</i>
                                        <input id="title" type="text"
                                               class="form-control @error('title') is-invalid @enderror" name="title"
                                               value="{{ old('title') }}" autocomplete="title" autofocus>

                                        @error('title')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-row ">
                                        <div class="form-group col-lg-4">
                                            <label for="slug">{{ __('product.slug') }}</label>
                                            <input type="text" name="slug"
                                                   class="form-control @error('slug') is-invalid  @enderror"
                                                   value="{{old('slug')}}" autocomplete="slug" autofocus>
                                            @error('slug')
                                            <div class="alert alert-danger">{{$message}}</div>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-4">
                                            <label for="sku">{{ __('product.sku') }}</label>
                                            <input id="sku" type="text"
                                                   class="form-control @error('sku') is-invalid @enderror" name="sku"
                                                   autocomplete="sku" value="{{ old('sku') }}" autofocus>

                                            @error('sku')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-4">
                                            <label for="type">{{ __('product.type') }}</label></label><i
                                                class="required">&nbsp;
                                                *</i>
                                            <select id="type" type="text"
                                                    class="form-control @error('type') is-invalid @enderror" name="type"
                                                    value="{{ old('type') }}" autocomplete="type">
                                                <option value="">انتخاب کنید</option>
                                                <option value="0" {{ (old('type') == '0') ? 'selected' : '' }}>ساده
                                                </option>
                                                <option value="1" {{ (old('type') == '1') ? 'selected' : '' }}>متغیر
                                                </option>
                                                <option value="2" {{ (old('type') == '2') ? 'selected' : '' }}>باندل
                                                </option>

                                            </select>

                                            @error('type')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="form-row ">
                                        <div class="form-group col-lg-4">
                                            <label for="title">{{ __('product.price') }}</label><i class="required">&nbsp;
                                                *</i>
                                            <input id="input.price" type="text"
                                                   class="form-control price @error('price') is-invalid @enderror"
                                                   name="price"
                                                   value="{{ old('price') }}" autocomplete="price" autofocus>

                                            @error('price')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-4">
                                            <label for="sale_price">@lang('product.sale_price')</label>
                                            <input id="sale_price" type="text"
                                                   class="form-control price @error('sale_price') is-invalid @enderror"
                                                   name="sale_price"
                                                   value="{{ old('sale_price') }}" autocomplete="sale_price" autofocus>

                                            @error('sale_price')
                                            <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                            @enderror
                                        </div>
                                        <div class="form-group col-lg-4">
                                            <label for="status">{{ __('product.status') }}</label><i class="required">&nbsp;
                                                *</i>
                                            <select id="status" type="text"
                                                    class="form-control  @error('status') is-invalid @enderror"
                                                    name="status"
                                                    autocomplete="status">
                                                <option value="">انتخاب کنید</option>
                                                <option value="1" {{ (old('status') == '1') ? 'selected' : '' }}>موجود
                                                </option>
                                                <option value="0" {{ (old('status') == '0') ? 'selected' : '' }}>
                                                    ناموجود
                                                </option>
                                            </select>
                                            @error('status')
                                            <span class="invalid-feedback" role="alert">
                                               <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label for="discription">{{ __('product.discription') }}</label></label><i
                                            class="required">&nbsp; *</i>
                                        <textarea id="discription" type="text"
                                                  class="form-control  @error('discription') is-invalid @enderror"
                                                  name="discription"

                                                  autocomplete="discription"
                                                  autofocus>{{ old('discription') }}</textarea>

                                        @error('discription')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror
                                    </div>
                                    <div class="form-group">
                                        <label for="categories">{{ __('product.categories') }}</label><i
                                            class="required">&nbsp; *</i>
                                        <select id=""
                                                class="form-control select2 @error('categories') is-invalid @enderror"
                                                name="categories[]" multiple>

                                            <option value="">انتخاب کنید</option>
                                            @foreach($categories as $cat)
                                                <option value="{{$cat->id }}">{{$cat->title}}</option>
                                            @endforeach
                                        </select>
                                        @error('categories')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                        @enderror

                                    </div>
                                    <div class="row col-md-4">
                                        <div class="form-group ">


                                            <label for="title">{{ __('product.featured_image') }}</label><i
                                                class="required">&nbsp; *</i>
                                            <input type="file" name="featured_image"

                                                   class="form-control photo  browse @error('featured_image') is-invalid  @enderror"
                                                   value="{{old('featured_image')}}" autocomplete="featured_image"
                                                   autofocus accept="image/*">


                                            @error('featured_image')
                                            <span class="invalid-feedback" role="alert">
                                                 <strong>{{ $message }}</strong>
                                            </span>
                                            @enderror
                                            <div class="ml-2 col-sm-6 ">

                                                <img src="" id="preview" class="img-thumbnail">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <span class="btn btn-sm btn-success file_creator"><i
                                                class="fa fa-plus"></i></span>
                                        <div class="col-md-4 last_image">
                                            <div class="form-group ">
                                                <label for="title">{{ __('product.gallery_image') }}</label><i
                                                    class="required">&nbsp; *</i>
                                                <input type="file" name="gallery_image[]" id="gallery_image"

                                                       class="form-control photo @error('gallery_image') is-invalid  @enderror"
                                                       value="{{old('gallery_image')}}" autocomplete="gallery_image"
                                                       autofocus multiple>

                                                @error('gallery_image')
                                                <span class="invalid-feedback" role="alert">
                                                    <strong>{{ $message }}</strong>
                                                </span>
                                                @enderror
                                                <div class="ml-2 col-sm-6 ">

                                                    <img src="" id="previewGallery" class="img-thumbnail">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group mb-0">
                                        <div class="">
                                            <button type="submit" class="btn btn-primary">
                                                {{ __('ثبت محصول') }}
                                            </button>

                                            <a href={{ route('products.index') }} type="button" class="btn btn-warning">
                                                انصراف</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endslot

    @slot('script')
        <script>

            $(document).on('click', '.file_creator', function () {
                $(".last_image:last").after($(".last_image:last").clone());

            });

            $(document).on("click", ".browse", function () {
                var file = $(this).parents().find(".file");
                file.trigger("click");
            });
            // show images feature
            $('input[name="featured_image"]').change(function (e) {
                var fileName = e.target.files[0].name;
                $("#file").val(fileName);

                var reader = new FileReader();
                reader.onload = function (e) {
                    // get loaded data and render thumbnail.
                    document.getElementById("preview").src = e.target.result;

                };
                // read the image file as a data URL.
                reader.readAsDataURL(this.files[0]);
            });
            //**************************show images gallery**********************************************
            $(document).on("click", ".browse", function () {
                var file = $(this).parents().find(".file");
                file.trigger("click");
            });
            $('input[name="gallery_image[]"]').change(function (e) {
                var fileName = e.target.files[0].name;
                $("#file").val(fileName);

                var reader = new FileReader();
                reader.onload = function (e) {
                    // get loaded data and render thumbnail.
                    document.getElementById("previewGallery").src = e.target.result;

                };
                // read the image file as a data URL.
                reader.readAsDataURL(this.files[0]);
            });
        //    ****************************************
            $('.attachment_upload').change(function(){
                var target = $(this).closest('.attachments');

                for( let i=0; i<$(this).prop('files').length; i++ ){
                    let file_id = uniqid();
                    var markup = '<div class="attachment_file_upload mb-2" id="' + file_id + '">' +
                        '<span class="delete_file"><i class="fas fa-times"></i></span>' +
                        '<div class="file_info">' +
                        '<a href="#"><span class="file_name">' + $(this).prop('files')[i].name + '</span></a>' +
                        '<input class="uploaded_file_path" type="hidden">' +
                        '</div>' +
                        '<div class="progress">' +
                        '<div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuemin="0" aria-valuemax="100" style="width: 0%">0%</div>' +
                        '</div>' +
                        '</div>';
                    target.find('.uploaded_files').append(markup);
                    var formData = new FormData();
                    formData.append('file', $(this).prop('files')[i]);
                    formData.append('file_type', 'attachment');
                    formData.append('object_type', target.attr('data-object-type'));
                    formData.append('object_id', target.attr('data-object-id'));
                    let fail_message = '<span class="ltr">آپلود فایل ' + $(this).prop('files')[i].name + ' با خطا مواجه شد.</span>';
                    $.ajax({
                        url: ajax_upload_url,
                        async: true,
                        data: formData,
                        processData: false,
                        contentType: false,
                        dataType: 'json',
                        type: 'post',
                        success: function(response){
                            if( response.status == 1 ){
                                $('#' + file_id ).find('a').attr('href', response.file_url );
                                $('#' + file_id ).find('.uploaded_file_path').val( response.file_path );
                                $('#' + file_id ).find('.progress').remove();
                            }
                        },
                        error: function(response){
                            if( response.status == 422 ){
                                var response_text = $.parseJSON( response.responseText );
                                var text = fail_message;
                                for( var j=0; j<response_text.errors.file.length; j++ ){
                                    text += "<br />" + response_text.errors.file[j];
                                }
                                Swal.fire({
                                    title: 'خطا در آپلود فایل',
                                    html: text,
                                    type: 'error',
                                    customClass: {
                                        icon: 'swal2-arabic-question-mark'
                                    },
                                    confirmButtonText: 'تایید'
                                })
                            }
                        },
                        xhr: function() {
                            var myXhr = $.ajaxSettings.xhr();
                            if(myXhr.upload){
                                myXhr.upload.addEventListener(
                                    'progress',
                                    function(e){
                                        progress( e, file_id );
                                    },
                                    false);
                            }
                            return myXhr;
                        }
                    });
                }
                $(this).val('');
            });
        </script>
    @endslot

@endcomponent

